package com.miya.manning.framework.util;

import java.util.ArrayList;
import java.util.List;

/**
 * @ProjectName: MY_INTERFACE_TEST
 * @Package: com.miya.interfacetest.framework.util
 * @ClassName: StringUtil
 * @Description: 地址选择工具类
 * @Author: 唐奇良
 * @CreateDate: 2019/1/22 上午10:48
 * @UpdateUser: 更新者
 * @UpdateDate: 2019/1/22 上午10:48
 */
public class StringUtil {

    public static final String DB_CONFIG_FILE_PATH = "src/main/resources/db.properties";
    public static final String REDIS_FILE_PATH = "src/main/resources/redis.properties";
    public static final String CONFIG_FILE_PATH = "src/main/resources/config.properties";
    public static final String HTML_HEADER_FILE_PATH = "src/main/resources/htmlHeader.properties";

    public static final String SAAS_PARAM_FILE_PATH = "CommonParameters/SaasParameters.properties";
    public static final String COUPON_PARAM_FILE_PATH="CommonParameters/CouponParameters.properties";
    public static final String COUPON_PACKET_PARAM_FILE_PATH="CommonParameters/CouponPacketParameters.properties";
    public static final String TEMP_PARAM_FILE_PATH="CommonParameters/TempParameters.properties";


    public static List<Integer> getStrCunt(String mainStr, String subStr) {
        // 声明一个要返回的变量
        List<Integer> index_list = new ArrayList<>();
        // 声明一个初始的下标，从初始位置开始查找
        int index = 0;
        // 获取主数据的长度
        int mainStrLength = mainStr.length();
        // 获取要查找的数据长度
        int subStrLength = subStr.length();
        // 如果要查找的数据长度大于主数据的长度则返回0
        if (subStrLength > mainStrLength) return index_list;
        // 循环使用indexOf查找出现的下标，如果出现一次则count++
        while ((index = mainStr.indexOf(subStr, index)) != -1) {
            index_list.add(index);
            // 从找到的位置下标加上要查找的字符串长度，让指针往后移动继续查找
            index += subStrLength;
        }
        return index_list;
    }
}

